org.eclipse.incquery.patternlanguage.emf.util

## Interface IErrorFeedback

- All Known Implementing Classes:
    IErrorFeedback.EmptyErrorFeedback

      public interface IErrorFeedback

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `IErrorFeedback.EmptyErrorFeedback`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `FRAGMENT_ERROR_TYPE` An error type for use in the generator fragments.
    `static java.lang.String` | `JVMINFERENCE_ERROR_TYPE` An error type for use in the JvmModelInferrer.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearMarkers(org.eclipse.emf.ecore.resource.Resource resource, java.lang.String markerType)` Clears all problem markers from the resource and all its descendants.
    `void` | `reportError(org.eclipse.emf.ecore.EObject ctx, java.lang.String message, java.lang.String errorCode, org.eclipse.xtext.diagnostics.Severity severity, java.lang.String markerType)` Reports an error in a context object.
    `void` | `reportError(org.eclipse.emf.ecore.resource.Resource resource, java.lang.String message, java.lang.String errorCode, org.eclipse.xtext.diagnostics.Severity severity, java.lang.String markerType)` Reports an error in a file, but is not associated to any specific line.
    `void` | `reportErrorNoLocation(org.eclipse.emf.ecore.EObject ctx, java.lang.String message, java.lang.String errorCode, org.eclipse.xtext.diagnostics.Severity severity, java.lang.String markerType)` Reports an error in a context object.

- - ### Field Detail

    - #### JVMINFERENCE_ERROR_TYPE

          static final java.lang.String JVMINFERENCE_ERROR_TYPE

      An error type for use in the JvmModelInferrer. It is differentiated from `FRAGMENT_ERROR_TYPE`, as the two builds have different lifecycles, so cleaning has to be executed at different points.
      See Also:
        Constant Field Values

    - #### FRAGMENT_ERROR_TYPE

          static final java.lang.String FRAGMENT_ERROR_TYPE

      An error type for use in the generator fragments. It is differentiated from `JVMINFERENCE_ERROR_TYPE`, as the two builds have different lifecycles, so cleaning has to be executed at different points.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### clearMarkers

          void clearMarkers(org.eclipse.emf.ecore.resource.Resource resource,
                            java.lang.String markerType)

      Clears all problem markers from the resource and all its descendants.
      Parameters:
        `resource` - a file, folder or project to clean all markers from
        `markerType` - `JVMINFERENCE_ERROR_TYPE` and `FRAGMENT_ERROR_TYPE` are supported

    - #### reportError

          void reportError(org.eclipse.emf.ecore.EObject ctx,
                           java.lang.String message,
                           java.lang.String errorCode,
                           org.eclipse.xtext.diagnostics.Severity severity,
                           java.lang.String markerType)

      Reports an error in a context object. The error marker only appears if the context object is contained in a workspace resource, and then it is associated with the location of the context object in the textual file. All runtime errors related to the creation of the marker are logged.
      Parameters:
        `ctx` -
        `message` -
        `errorCode` - an arbitrary error code
        `severity` -
        `markerType` - `JVMINFERENCE_ERROR_TYPE` and `FRAGMENT_ERROR_TYPE` are supported

    - #### reportErrorNoLocation

          void reportErrorNoLocation(org.eclipse.emf.ecore.EObject ctx,
                                     java.lang.String message,
                                     java.lang.String errorCode,
                                     org.eclipse.xtext.diagnostics.Severity severity,
                                     java.lang.String markerType)

      Reports an error in a context object. The error marker only appears if the context object is contained in a workspace resource, but it is NOT associated with the location of the context object in the textual file. All runtime errors related to the creation of the marker are logged.
      Parameters:
        `ctx` -
        `message` -
        `errorCode` - an arbitrary error code
        `severity` -
        `markerType` - `JVMINFERENCE_ERROR_TYPE` and `FRAGMENT_ERROR_TYPE` are supported

    - #### reportError

          void reportError(org.eclipse.emf.ecore.resource.Resource resource,
                           java.lang.String message,
                           java.lang.String errorCode,
                           org.eclipse.xtext.diagnostics.Severity severity,
                           java.lang.String markerType)

      Reports an error in a file, but is not associated to any specific line. All runtime errors related to the creation of the marker are logged.
      Parameters:
        `resource` -
        `message` -
        `errorCode` - an arbitrary error code
        `severity` -
        `markerType` - `JVMINFERENCE_ERROR_TYPE` and `FRAGMENT_ERROR_TYPE` are supported